Bug 39268 - 2.4.3-2.14.19 i686 handle_IRQ_event oops
2.4.3-2.14.19 i686 handle_IRQ_event oops
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-06 08:45 EDT by Pekka Savola
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 08:45:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-05-06 08:45:15 EDT
2.4.3-2.14.19 i686

I've run this in 3 i686 systems, pretty much alike all.  One has given an oops.  I have no idea
why; no heavy use or anything.  Will see if this repeats.  This happened at 04:24:15 in the sat-sun morning, 
when there was zero use by me (idle ssh connections, X was sitting in xlock).  
Perhaps a cron.weekly job gone awry.  Only cron.weekly jobs are 
0anacron, logwatch and makewhatis.  Now typing over ssh is very sluggish, will reboot.

# more /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 3
model name      : Pentium II (Klamath)
stepping        : 3
cpu MHz         : 267.275
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov mmx
bogomips        : 532.48

# more /proc/interrupts 
           CPU0       
  0:    5933062          XT-PIC  timer
  1:      11034          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  4:          1          XT-PIC  serial
  8:          1          XT-PIC  rtc
  9:    1530358          XT-PIC  mga@PCI:1:0:0
 10:     188744          XT-PIC  eth0
 11:          0          XT-PIC  usb-uhci
 12:      16013          XT-PIC  PS/2 Mouse
 14:      20576          XT-PIC  ide0
 15:          0          XT-PIC  ide1
NMI:          0 
LOC:   10012095 
ERR:         26
MIS:          0

# lsmod
Module                  Size  Used by
nls_iso8859-1           2880   1  (autoclean)
nls_cp437               4400   1  (autoclean)
vfat                    8944   1  (autoclean)
fat                    30272   0  (autoclean) [vfat]
loop                    8336   2  (autoclean)
mga                    84304   2 
agpgart                22016   3 
epic100                10864   1  (autoclean)
usb-uhci               20224   0  (unused)
usbcore                48352   1  [usb-uhci]

# lspci
00:00.0 Host bridge: Intel Corporation 440LX/EX - 82443LX/EX Host bridge (rev 03)
00:01.0 PCI bridge: Intel Corporation 440LX/EX - 82443LX/EX AGP bridge (rev 03)
00:07.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 01)
00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 01)
00:0a.0 Ethernet controller: Standard Microsystems Corp [SMC] 83C170QF (rev 06)
01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G400 AGP (rev 04)


---
Warning (compare_maps): mismatch on symbol partition_name  , ksyms_base says c01adf30, System.map says c0151250.  Ignoring 
ksyms_base entry
Warning (compare_maps): mismatch on symbol mga_res_ctx  , mga says cc8a2440, /lib/modules/2.4.3-2.14.19/kernel/drivers/char/drm/mga.o 
says cc8a14c0.  Ignoring /lib/modules/2.4.3-2.14.19/kernel/drivers/char/drm/mga.o entry
Warning (compare_maps): mismatch on symbol usb_devfs_handle  , usbcore says cc82dc80, 
/lib/modules/2.4.3-2.14.19/kernel/drivers/usb/usbcore.o says cc82d7a0.  Ignoring /lib/modules/2.4.3-2.14.19/kernel/drivers/usb/usbcore.o entry

Unable to handle kernel paging request at virtual address e79b9df8
c010805d
Oops: 0000
CPU:    0
EIP:    0010:[<c010805d>]
Using defaults from ksymoops -t elf32-i386 -a i386
EFLAGS: 00010082
eax: c4669fc4   ebx: c9a66520   ecx: 00000009   edx: 00000018
esi: c0000001   edi: c0289a20   ebp: c9a66520   esp: c4669f90
ds: 0018   es: 0018   ss: 0018
Process sh (pid: 7176, stackpage=c4669000)
Stack: c4669fc4 00000009 c0289a20 c9a66520 c0108208 00000009 c4669fc4 c9a66520 
       400165f8 400169c0 40017920 bffff764 c0106dc4 400165f8 40017900 00003d06 
       400169c0 40017920 bffff764 000003d0 0000002b 0000002b ffffff09 4000c1c8 
Call Trace: [<c0108208>] [<c0106dc4>] 
Code: 8b 7c c0 14 ff 05 c8 18 2a c0 c0 6c 24 18 8b 43 04 a9 c0 00 

>>EIP; c010805d <handle_IRQ_event+d/70>   <=====
Trace; c0108208 <do_IRQ+68/b0>
Trace; c0106dc4 <ret_from_intr+0/20>
Code;  c010805d <handle_IRQ_event+d/70>
00000000 <_EIP>:
Code;  c010805d <handle_IRQ_event+d/70>   <=====
   0:   8b 7c c0 14               mov    0x14(%eax,%eax,8),%edi   <=====
Code;  c0108061 <handle_IRQ_event+11/70>
   4:   ff 05 c8 18 2a c0         incl   0xc02a18c8
Code;  c0108067 <handle_IRQ_event+17/70>
   a:   c0 6c 24 18 8b            shrb   $0x8b,0x18(%esp,1)
Code;  c010806c <handle_IRQ_event+1c/70>
   f:   43                        inc    %ebx
Code;  c010806d <handle_IRQ_event+1d/70>
  10:   04 a9                     add    $0xa9,%al
Code;  c010806f <handle_IRQ_event+1f/70>
  12:   c0 00 00                  rolb   $0x0,(%eax)

 <1>Unable to handle kernel paging request at virtual address e79b909c
c010805d
Oops: 0000
CPU:    0
EIP:    0010:[<c010805d>]
EFLAGS: 00010086
eax: c4669e48   ebx: c0233d28   ecx: 00000000   edx: 00000018
esi: c0000001   edi: c0289900   ebp: c0233d28   esp: c4669e14
ds: 0018   es: 0018   ss: 0018
Process sh (pid: 7176, stackpage=c4669000)
Stack: c4669e48 00000000 c0289900 c0233d28 c0108208 00000000 c4669e48 c0233d28 
       00000000 c02064dc c4669f5c e79b9df8 c0106dc4 00000000 00000005 00000000 
       c02064dc c4669f5c e79b9df8 c02063a0 00000018 c0200018 ffffff00 c0107253 
Call Trace: [<c0108208>] [<c02064dc>] [<e79b9df8>] [<c0106dc4>] [<c02064dc>] 
   [<e79b9df8>] [<c02063a0>] [<c0200018>] [<c0107253>] [<c010805d>] [<c0206480>] 
   [<c011302e>] [<c02063fa>] [<e79b9df8>] [<c02064d5>] [<c010805d>] [<c02064c5>] 
   [<c02064aa>] [<e79b9df8>] [<c0122f85>] [<c01244c9>] [<c0112d10>] [<c0112e6a>] 
   [<c0112d10>] [<c0106e38>] [<c010805d>] [<c0108208>] [<c0106dc4>] 
Code: 8b 7c c0 14 ff 05 c8 18 2a c0 c0 6c 24 18 8b 43 04 a9 c0 00 

>>EIP; c010805d <handle_IRQ_event+d/70>   <=====
Trace; c0108208 <do_IRQ+68/b0>
Trace; c02064dc <error_table+25fc/5dd8>
Trace; e79b9df8 <END_OF_CODE+1a0ed3b9/????>
Trace; c0106dc4 <ret_from_intr+0/20>
Trace; c02064dc <error_table+25fc/5dd8>
Trace; e79b9df8 <END_OF_CODE+1a0ed3b9/????>
Trace; c02063a0 <error_table+24c0/5dd8>
Trace; c0200018 <stext_lock+c90/4b58>
Trace; c0107253 <die+53/60>
Trace; c010805d <handle_IRQ_event+d/70>
Trace; c0206480 <error_table+25a0/5dd8>
Trace; c011302e <do_page_fault+31e/470>
Trace; c02063fa <error_table+251a/5dd8>
Trace; c0206480 <error_table+25a0/5dd8>
Trace; c011302e <do_page_fault+31e/470>
Trace; c02063fa <error_table+251a/5dd8>
Trace; e79b9df8 <END_OF_CODE+1a0ed3b9/????>
Trace; c02064d5 <error_table+25f5/5dd8>
Trace; c010805d <handle_IRQ_event+d/70>
Trace; c02064c5 <error_table+25e5/5dd8>
Trace; c02064aa <error_table+25ca/5dd8>
Trace; e79b9df8 <END_OF_CODE+1a0ed3b9/????>
Trace; c0122f85 <handle_mm_fault+65/e0>
Trace; c01244c9 <insert_vm_struct+19/30>
Trace; c0112d10 <do_page_fault+0/470>
Trace; c0112e6a <do_page_fault+15a/470>
Trace; c0112d10 <do_page_fault+0/470>
Trace; c0106e38 <error_code+34/3c>
Trace; c010805d <handle_IRQ_event+d/70>
Trace; c0108208 <do_IRQ+68/b0>
Trace; c0106dc4 <ret_from_intr+0/20>
Code;  c010805d <handle_IRQ_event+d/70>
00000000 <_EIP>:
Code;  c010805d <handle_IRQ_event+d/70>   <=====
   0:   8b 7c c0 14               mov    0x14(%eax,%eax,8),%edi   <=====
Code;  c0108061 <handle_IRQ_event+11/70>
   4:   ff 05 c8 18 2a c0         incl   0xc02a18c8
Code;  c0108067 <handle_IRQ_event+17/70>
   a:   c0 6c 24 18 8b            shrb   $0x8b,0x18(%esp,1)
Code;  c010806c <handle_IRQ_event+1c/70>
   f:   43                        inc    %ebx
Code;  c010806d <handle_IRQ_event+1d/70>
  10:   04 a9                     add    $0xa9,%al
Code;  c010806f <handle_IRQ_event+1f/70>
  12:   c0 00 00                  rolb   $0x0,(%eax)
---
Comment 1 Pekka Savola 2001-05-11 16:28:40 EDT
This hasn't happened again so far.
Comment 2 Arjan van de Ven 2001-05-21 10:56:35 EDT
strange..... I'm closing this as "worksforsome", if it happens again please
reopen.
Comment 3 Pekka Savola 2001-07-30 04:17:08 EDT
Ok, this happened again on the same system with 2.4.3-12 kernel.

In XFree86, mouse moved but clicking didn't do anything; keyboard wasn't
responding.
I could SSH in (felt really slow, but no apparent sources of load), kill all
processes etc. but rebooting wouldn't help, had to reset the box.

Unable to handle kernel NULL pointer dereference at virtual address 00000000
c0108236
Oops: 0000
CPU:    0 
EIP:    0010:[<c0108236>]
Using defaults from ksymoops -t elf32-i386 -a i386
EFLAGS: 00010046
eax: 00000000   ebx: c631dfc4   ecx: 00000001   edx: 00000001
esi: 00000009   edi: c028da20   ebp: c9968820   esp: c631dfac
ds: 0018   es: 0018   ss: 0018
Process xlock (pid: 6601, stackpage=c631d000)
Stack: 00000009 4079ce98 08260100 00000009 bffff348 c0106dd4 4079ce98 ffffffff
       00000051 08260100 00000009 bffff348 08281e50 0000002b 0000002b ffffff09
       4074f55a 00000023 00000216 bffff340 0000002b 
Call Trace: [<c0106dd4>] 
Code: 8b 00 04 ff 50 18 5a a1 84 00 2a c0 85 05 80 1a 2a c0 74 05

>>EIP; c0108236 <do_IRQ+86/b0>   <=====
Trace; c0106dd4 <ret_from_intr+0/20>   
Code;  c0108236 <do_IRQ+86/b0>
00000000 <_EIP>:
Code;  c0108236 <do_IRQ+86/b0>   <=====
   0:   8b 00                     mov    (%eax),%eax   <=====
Code;  c0108238 <do_IRQ+88/b0>
   2:   04 ff                 	  add	 $0xff,%al
Code;  c010823a <do_IRQ+8a/b0>
   4:   50                    	  push   %eax
Code;  c010823b <do_IRQ+8b/b0>
   5:   18 5a a1              	  sbb	 %bl,0xffffffa1(%edx)
Code;  c010823e <do_IRQ+8e/b0>
   8:   84 00                 	  test   %al,(%eax)
Code;  c0108240 <do_IRQ+90/b0>
   a:   2a c0                 	  sub	 %al,%al
Code;  c0108242 <do_IRQ+92/b0>
   c:   85 05 80 1a 2a c0     	  test   %eax,0xc02a1a80
Code;  c0108248 <do_IRQ+98/b0>
  12:   74 05                 	  je	 19 <_EIP+0x19> c010824f <do_IRQ+9f/b0>
 <1>Unable to handle kernel NULL pointer dereference at virtual address 00000000
c0108236
Oops: 0000
CPU:    0 
EIP:    0010:[<c0108236>]
EFLAGS: 00010046
eax: 00000000   ebx: c631de64   ecx: c631de64   edx: 00000001
esi: 00000000   edi: c028d900   ebp: c0236668   esp: c631de4c
ds: 0018   es: 0018   ss: 0018
Process xlock (pid: 6601, stackpage=c631d000)
Stack: 00000000 00000000 c020819c c631df78 00000000 c0106dd4 00000000 00000013
       0000000a c020819c c631df78 00000000 c0208060 00000018 c0200018 ffffff00
       c0107263 00000010 00000282 00000000 c0108236 c0112d20 c011304e 0000000b
Call Trace: [<c020819c>] [<c0106dd4>] [<c020819c>] [<c0208060>] [<c0200018>]  
   [<c0107263>] [<c0108236>] [<c0112d20>] [<c011304e>] [<c02080ba>] [<c0208195>]
   [<c0108236>] [<c0208185>] [<c020816a>] [<cc8b48e9>] [<cc8c0d00>] [<cc8b4a3b>]
   [<cc8c0d00>] [<cc8c0d00>] [<c0112d20>] [<c0106e48>] [<c0108236>] [<c0106dd4>]
Code: 8b 00 04 ff 50 18 5a a1 84 00 2a c0 85 05 80 1a 2a c0 74 05 

>>EIP; c0108236 <do_IRQ+86/b0>   <=====
Trace; c020819c <error_table+25fc/5dd8>
Trace; c0106dd4 <ret_from_intr+0/20>   
Trace; c020819c <error_table+25fc/5dd8>
Trace; c0208060 <error_table+24c0/5dd8>
Trace; c0200018 <rwsem_up_write_wake+cb8/1bf0>
Trace; c0107263 <die+53/60>
Trace; c0108236 <do_IRQ+86/b0>
Trace; c0112d20 <do_page_fault+0/480>
Trace; c011304e <do_page_fault+32e/480>
Trace; c02080ba <error_table+251a/5dd8>
Trace; c0208195 <error_table+25f5/5dd8>
Trace; c0108236 <do_IRQ+86/b0>
Trace; c0208185 <error_table+25e5/5dd8>
Trace; c020816a <error_table+25ca/5dd8>
Trace; cc8b48e9 <[mga]mga_dma_get_buffers+b9/d0>
Trace; cc8c0d00 <[mga]__module_kernel_version+0/0>
Trace; cc8b4a3b <[mga]mga_dma+13b/180>
Trace; cc8c0d00 <[mga]__module_kernel_version+0/0>
Trace; cc8c0d00 <[mga]__module_kernel_version+0/0>
Trace; c0112d20 <do_page_fault+0/480>
Trace; c0106e48 <error_code+34/3c>
Trace; c0108236 <do_IRQ+86/b0>
Trace; c0106dd4 <ret_from_intr+0/20>
Code;  c0108236 <do_IRQ+86/b0>
00000000 <_EIP>:
Code;  c0108236 <do_IRQ+86/b0>   <=====
   0:   8b 00                     mov	 (%eax),%eax   <=====
Code;  c0108238 <do_IRQ+88/b0>
   2:   04 ff                     add	 $0xff,%al
Code;  c010823a <do_IRQ+8a/b0>
   4:   50                        push   %eax
Code;  c010823b <do_IRQ+8b/b0>
   5:   18 5a a1                  sbb	 %bl,0xffffffa1(%edx)
Code;  c010823e <do_IRQ+8e/b0>
   8:   84 00                     test   %al,(%eax)
Code;  c0108240 <do_IRQ+90/b0>
   a:   2a c0                     sub	 %al,%al
Code;  c0108242 <do_IRQ+92/b0>
   c:   85 05 80 1a 2a c0	  test   %eax,0xc02a1a80
Code;  c0108248 <do_IRQ+98/b0>
  12:   74 05                     je	 19 <_EIP+0x19> c010824f <do_IRQ+9f/b0>

Note -- I recall I recompiled the IPv6 module, but shouldn't affect this...

Warning (compare_maps): mismatch on symbol partition_name  , ksyms_base says
c01af700, System.map says c0151680.  Ignoring ksyms_base entry
Warning (compare_maps): mismatch on symbol mga_res_ctx  , mga says cc8c1440,
/lib/modules/2.4.3-12/kernel/drivers/char/drm/mga.o says cc8c04c0.  Ignoring
/lib/modules/2.4.3-12/kernel/drivers/char/drm/mga.
Warning (compare_maps): mismatch on symbol icmpv6_socket  , ipv6 says cc851da0,
/lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o says cc84fba0.  Ignoring
/lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o entry
Warning (compare_maps): mismatch on symbol icmpv6_statistics  , ipv6 says
cc851ca0, /lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o says cc84faa0.  Ignoring
/lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o entry
Warning (compare_maps): mismatch on symbol inet6_dev_count  , ipv6 says
cc8518e0, /lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o says cc84f6e0.  Ignoring
/lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o entry
Warning (compare_maps): mismatch on symbol inet6_ifa_count  , ipv6 says
cc8518e4, /lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o says cc84f6e4.  Ignoring
/lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o entry
Warning (compare_maps): mismatch on symbol inet6_protos  , ipv6 says cc851c20,
/lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o says cc84fa20.  Ignoring
/lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o entry
Warning (compare_maps): mismatch on symbol ip6_ra_chain  , ipv6 says cc851b20,
/lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o says cc84f920.  Ignoring
/lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o entry
Warning (compare_maps): mismatch on symbol ipv6_statistics  , ipv6 says
cc851a60, /lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o says cc84f860.  Ignoring
/lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o entry
Warning (compare_maps): mismatch on symbol raw_v6_htable  , ipv6 says cc851ba0,
/lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o says cc84f9a0.  Ignoring
/lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o entry
Warning (compare_maps): mismatch on symbol rt6_stats  , ipv6 says cc851a28,
/lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o says cc84f828.  Ignoring
/lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o entry
Warning (compare_maps): mismatch on symbol udp_stats_in6  , ipv6 says cc851b60,
/lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o says cc84f960.  Ignoring
/lib/modules/2.4.3-12/kernel/net/ipv6/ipv6.o entry
Warning (compare_maps): mismatch on symbol usb_devfs_handle  , usbcore says
cc82dc80, /lib/modules/2.4.3-12/kernel/drivers/usb/usbcore.o says cc82d7a0. 
Ignoring /lib/modules/2.4.3-12/kernel/drivers/usb/u



Comment 4 Alan Cox 2003-06-06 08:19:50 EDT
Was this ever seen with later kernels ?
Comment 5 Pekka Savola 2003-06-06 08:37:15 EDT
Nope, I don't recall seeing it.. currently running 2.4.18-19.7.x for 135 days.

Note You need to log in before you can comment on or make changes to this bug.